U++ - Bug #1490
Semicolon at the end of END_NAMESPACE_UPP is redurdant
07/02/2016 08:13 PM - Zbigniew Rebacz

Status: Approved Start date: 07/02/2016
Priority: Low Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version: Release 2017.1 Spent time: 0.00 hour
Description

The is not need to have semicolon at the end of namespace, so it should be removed from END_UPP_NAMESPACE

This should fix warning when -Wall flag is enable for GCC:

#define END_UPP_NAMESPACE };

Should be

#define END_UPP_NAMESPACE }

History

#1 - 08/27/2016 03:06 PM - Zbigniew Rebacz
- Status changed from Patch ready to Approved

Fixed - thanks, it should work better with code that uses this macro.

#2 - 08/27/2016 03:07 PM - Zbigniew Rebacz

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz
